Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Provisioning and Management API

Download OpenAPI specification

Prepare Push Provisioning Bundle

post
/issuers/{issuerId}/wallets/{walletIndicator}/preparePushProvisioningBundle

API used for requesting D1 Transit to prepare a push provisioning bundle that is going to be provided by Transit Issuer mobile app to Digital Wallet SDK eventually. This request can be used in 3 different cases: 1) initial provisioning: in such case, Transit Issuer shall neither provide cardAccountId nor digitalCardId. D1 Transit will create and return these identifiers in the response. 2) retry failed provisioning: in case of provisioning failure, Transit Issuer may retry the provisioning, assuming there was no refund/cancellation of customer card account. In such case, both cardAccountId and digitalCardId shall be provided. 3) restoring an existing cardAccount: in such case, Transit Issuer shall provide cardAccountId only. D1 Transit will assign new digitalCardId and return it along with cardAccountId in the response.

Path parameters
issuerIdstring · max: 10Required

Issuer unique identifier. Assigned by Thales during onboarding.

walletIndicatornumberRequired

Indicates which digital wallet is involved in the use case.

ValueDescription
1Apple
2Google
3Samsung
Body
cardAccountIdstring · max: 64Optional

Card account unique identifier

Example: FAPLSW8D8AC610566D4EF09C22186B2A5ED793
digitalCardIdstring · max: 64Optional

Digital card unique identifier

Example: DGGLSW8D8AC610566D4EF09C22186B2A5ED756
pushDetailsone ofRequired

pushDetails shall be consistent with the 'wallet indicator' parameter.
I.e. ApplePushDetails shall be provided when 'wallet indicator' = 1, GooglePushDetails shall be provided when 'wallet indicator' = 2

or
Responses
200Success
application/json
cardAccountIdstring · max: 64Optional

Unique identifier of an account.
Not provided in case of error.

Example: FAPLSW8D8AC610566D4EF09C22186B2A5ED793
digitalCardIdstring · max: 64Optional

Unique identifier of a digital card.
Not provided in case of error.

Example: DGGLSW8D8AC610566D4EF09C22186B2A5ED756
pushProvisioningBundlestringOptional

Bundle generated as per Digital Wallet format specified in the request.
It shall be used by the transit issuer app to trigger the provisioning.

Apple format

This is the string representation of JSON object defined as below:

Parameter nameTypeDescription
activationDatastringSee https://developer.apple.com/documentation/passkit/pkaddpaymentpassrequest/activationdata
encryptedPassDatastringSee https://developer.apple.com/documentation/passkit/pkaddpaymentpassrequest/encryptedpassdata
ephemeralPublicKeystringSee https://developer.apple.com/documentation/passkit/pkaddpaymentpassrequest/ephemeralpublickey

Google format

This is the OpaquePaymentCard (OPC) as described in https://developers.google.com/pay/issuers/apis/push-provisioning/android/wallet-operations

Not provided in case of error.

post/issuers/{issuerId}/wallets/{walletIndicator}/preparePushProvisioningBundle

Cancel Card Account

post
/issuers/{issuerId}/wallets/{walletIndicator}/cancelCardAccount

API used for cancelling a card account. Card Account will be removed from Digital Wallet systems as well.

Path parameters
issuerIdstring · max: 10Required

Issuer unique identifier. Assigned by Thales during onboarding.

walletIndicatornumberRequired

Indicates which digital wallet is involved in the use case.

ValueDescription
1Apple
2Google
3Samsung
Body
cardAccountIdstring · max: 64Required

Card account unique identifier

Example: FAPLSW8D8AC610566D4EF09C22186B2A5ED793
Responses
200Success
application/json
post/issuers/{issuerId}/wallets/{walletIndicator}/cancelCardAccount

Get Card Account Info

post
/issuers/{issuerId}/wallets/{walletIndicator}/getCardAccountInfo

API used for getting card account information.

Path parameters
issuerIdstring · max: 10Required

Issuer unique identifier. Assigned by Thales during onboarding.

walletIndicatornumberRequired

Indicates which digital wallet is involved in the use case.

ValueDescription
1Apple
2Google
3Samsung
Body
cardAccountIdstring · max: 64Required

Card account unique identifier

Example: FAPLSW8D8AC610566D4EF09C22186B2A5ED793
Responses
200Success
application/json
cardAccountStatestring · enumOptional

Card account state

Possible values:
userIdstring · max: 64Optional

User unique identifier

Example: sSHfawfGsHUQjg8zaOHnPPgso5TF
post/issuers/{issuerId}/wallets/{walletIndicator}/getCardAccountInfo

Manage Digital Card

post
/issuers/{issuerId}/wallets/{walletIndicator}/manageDigitalCard

API used for managing the state of a digital card provisioned into a device.

Path parameters
issuerIdstring · max: 10Required

Issuer unique identifier. Assigned by Thales during onboarding.

walletIndicatornumberRequired

Indicates which digital wallet is involved in the use case.

ValueDescription
1Apple
2Google
3Samsung
Body
digitalCardIdstring · max: 64Required

Digital card unique identifier

Example: DGGLSW8D8AC610566D4EF09C22186B2A5ED756
cardAccountIdstring · max: 64Required

Card account unique identifier

Example: FAPLSW8D8AC610566D4EF09C22186B2A5ED793
actionstring · enumRequiredPossible values:
Responses
200Success
application/json
post/issuers/{issuerId}/wallets/{walletIndicator}/manageDigitalCard

Last updated

Was this helpful?